Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158307 - pnmtopng SIGSEGVs when given -trans option
Summary: pnmtopng SIGSEGVs when given -trans option
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: netpbm
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-20 14:30 UTC by Josh Parsons
Modified: 2013-07-02 23:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 11:22:51 UTC


Attachments (Terms of Use)

Description Josh Parsons 2005-05-20 14:30:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Trying to create partially transparent images with pnmtopng causes a segmentation fault.


Version-Release number of selected component (if applicable):
netpbm-progs-10.25-2

How reproducible:
Always

Steps to Reproduce:
ppmmake '#ffffff' 2 2 |pnmtopng -trans '#ffffff' >img.png

Actual Results:  pnmtopng: 1 colors found
Segmentation fault


Expected Results:  pnmtopng: 1 colors found

(and a transparent image written to img.png)

Additional info:

This breaks latex2html.

I was able to workaround it by substituting the pnmtopng binary from an older release of netpbm-progs, so the problem must be with the binary, not the netpbm libraries.

Comment 1 Jindrich Novy 2005-05-23 11:22:51 UTC
Josh, this is a known issue with netpbm-10.25-2 we have in FC3. The recent
version of netpbm-10.27 doesn't suffer from this issue. I'll release an update
for FC3.


Note You need to log in before you can comment on or make changes to this bug.